# $Revision: 1.16 $, $Date: 2004/07/14 00:46:22 $
Summary:	Portos Commander - a QT file manager for Linux
Summary(pl):	Portos Commander - oparty na QT zarzdca plikw pod Linuksa
Name:		pcmm
Version:	1.0
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/pcmm/%{name}-%{version}.tar.gz
# Source0-md5:	54e185bd5c250404409dd19ef0df628c
Source1:	%{name}.png
Source2:        %{name}-po.pl
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-gcc3.patch
Patch2:		%{name}-desktop_dir.patch
Patch3:         %{name}-po_makefile.patch
URL:		http://pcmm.sourceforge.net/
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Portos Commander (Pcmm) is a linux file manager for KDE 3.x. It is
patterned after old-school managers like Midnight Commander and Norton
Commander. It features basically all your file-management needs, file
searcher, internal viewer, URL database, ftp.

%description -l pl
Portos Commander (Pcmm) jest zarzdc plikw przeznaczonym dla KDE
3.x. Jest wzorowany na takich programach jak Midnight Commander i
Norton Commander. W obsudze jest bardzo prosty i zapewnia dostp
podstawowych funkcji zarzdcy plikw, ktre obejmuj m. in.:
wyszukiwanie plikw, wbudowan przegldark, ftp.

%prep
%setup -q
install %{SOURCE2} po/pl.po
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.sub admin
kde_appsdir="%{_desktopdir}"; export kde_appsdir
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
%configure \
	--disable-debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog TODO AUTHORS
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/pcmm.desktop
%{_datadir}/apps/pcmm
%{_pixmapsdir}/*.png
%{_iconsdir}/hicolor/*/apps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcmm.spec,v $
Revision 1.16  2004/07/14 00:46:22  ankry
- desktop updated, rel.4

Revision 1.15  2004/02/23 09:30:59  qboosh
- added KDE help, BR: kdelibs-devel; release 3

Revision 1.14  2004/02/22 01:19:37  andree
- cp config.sub to admin/, rel 2

Revision 1.13  2004/02/12 13:38:24  andree
- added pl translation

Revision 1.12  2004/02/11 21:23:13  qboosh
- _iconsdir doesn't require redefining
- dropped locolor, dont own apps subdir

Revision 1.11  2004/02/11 19:45:41  andree
- fix pcmm.desktop dir (patch2, applnkdir -> desktopdir)
- fix icons dir (pixmapsdir -> iconsdir)

Revision 1.10  2004/02/09 09:15:19  andree
- fix build with gcc3

Revision 1.9  2003/05/28 13:00:17  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/03/31 13:28:41  ankry
- typo

Revision 1.6  2003/03/30 23:34:24  ankry
- added desktop patch with pl translation

Revision 1.5  2003/03/30 23:16:00  ankry
- fixed %applnkdir usage
- typo, better translation
- add 64x64 applnk icon
- fixed %%files

Revision 1.4  2003/03/10 13:53:43  qboosh
- working Source URL

Revision 1.3  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.2  2003/01/05 16:58:59  qboosh
- added missing dir, cosmetics

Revision 1.1  2003/01/05 05:31:03  blues
- initial release, made by "Maciej winiarski (luzik)" <luzik@ds.pg.gda.pl>
